variables:
  NODE_BASE_IMAGE: node:18
  RUNNER_TAG: empaia-parallel
  NO_PROXY: localhost,127.0.0.1

stages:
  - test

test:
  tags:
    - $RUNNER_TAG
  # image: node:latest
  image: ${NODE_BASE_IMAGE}
  stage: test
  script:
    # install dependencies
    - npm ci
    # install playwright dependencies
    - npx playwright install-deps
    # start host and two apps and test via playwright
    - npm run nx e2e host-mock-e2e
  artifacts:
    when: always
    paths:
      - /builds/empaia/integration/frontend-test-workspace/apps/host-mock-e2e/report/*
    expire_in: 1 day
